Wrappable Error class

The Error class doesn't actually act on `this`. Instead it always returns a new instance of Error. Here we capture that instance so we can apply it's properties to `this`.

### Hierarchy

- Error
  - WrappedError

## Index

### Constructors

- constructor

### Properties

- error_stack
- Error
- message
- name

## Constructors

### constructor

- new WrappedError(message: any, error: any): WrappedError

- - Defined in utils.ts:33

  #### Parameters

  - ##### message: any

  - ##### error: any

  #### Returns WrappedError

## Properties

### error_stack

error_stack: Array

- Defined in utils.ts:44

### Static Error

Error: ErrorConstructor

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/typescript/lib/lib.d.ts:889

### Static message

message: string

Inherited from Error.message

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/typescript/lib/lib.d.ts:880

### Static name

name: string

Inherited from Error.name

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/typescript/lib/lib.d.ts:879

Generated using TypeDoc